[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# Str2UnixSockAddr (deprecated)

Convert path to TUnixSockAddr

## Declaration

Source position: sockets.pp line 66

`procedure Str2UnixSockAddr(`
`const addr: string;`
`var t: TUnixSockAddr;`
`var len: LongInt`
`);`

## Description

Str2UnixSockAddr transforms a Unix socket address in a string to a TUnixSockAddr structure which can be passed to the Bind call.

## Errors

None.

## See also

FPSocket |  | Create new socket
FPBind |  | Bind a socket to an address.